[Setup System]
AP Name = Swift-Button Setup Program
Show Setup Completed Message = 1
DLL File Name for Remove Previous Version = DelPrevV.DLL
DLL File Name for Add Device = SetupDev.DLL
DLL File Name for Check Administrator = SetupDev.DLL

[Background]
Small Font = 1
Product Company =
Product Name = Swift-Button ( Win2000 )

[Initiation]
Check Administrator = 1
ReBoot System = 1
Replace Path = 1
Title Name = Swift-Button
Install Name = Swift-Button
DefDir = <ProgramFilesDir>\SwiftBtn
Copy File From SubDir = 1
SubDir 1 = OSDRC
SubDir 2 = BtnRC
SpeDir 1 = <Windows>\System32\Drivers
Group 1 = Swift-Button
Write INI 1 = <DefDir>\UnInst32.INI
Write INI 2 = <Windows>\QT4StBtn.UNI

[Replace File]
File 1 = UNINST32.EXE
File 2 = CDROMUTL.DLL
File 3 = COMFNUTL.DLL
File 4 = LGKCUTL.DLL
File 5 = MIXERUTL.DLL
File 6 = OSDUTL.DLL
File 7 = STBTNCPL.DLL
File 8 = STOSDCPL.DLL
File 9 = RGNMAKER.DLL
File 10 = SZUPFUTL.DLL
File 11 = TKBARUTL.DLL
File 12 = SWIFTBTN.EXE
File 13 = STBTNCPL.HLP
File 14 = STOSDCPL.HLP
File 15 = SWIFTBTN.CFG
File 16 = README.TXT
File 17 = KBFILTR.SYS
File 18 = RMDEVICE.EXE

[Windows]
File 1.1 = UNINST32.EXE

[DefDir]
File 1.1 = CDROMUTL.DLL
File 1.2 = COMFNUTL.DLL
File 1.3 = LGKCUTL.DLL
File 1.4 = MIXERUTL.DLL
File 1.5 = OSDUTL.DLL
File 1.6 = STBTNCPL.DLL
File 1.7 = STOSDCPL.DLL
File 1.8 = RGNMAKER.DLL
File 1.9 = SZUPFUTL.DLL
File 1.10 = TKBARUTL.DLL
File 1.11 = SWIFTBTN.EXE
File 1.12 = SWIFTBTN.CFG
File 1.13 = STBTNCPL.HLP,STBTNCPL.SC
File 1.14 = STOSDCPL.HLP,STOSDCPL.SC
File 1.15 = README.TXT
File 1.16 = RMDEVICE.EXE

[SubDir 1]
File 1.1 = NEXT.BMP
File 1.2 = STOP.BMP
File 1.3 = PLAYPAUS.BMP
File 1.4 = PREVIOUS.BMP
File 1.5 = MUTE.BMP
File 1.6 = UNMUTE.BMP

[SubDir 2]
File 1.1 = BTNICON1.BMP
File 1.2 = BTNICON2.BMP
File 1.3 = BTNICON3.BMP
File 1.4 = BTNICON4.BMP

[SpeDir 1]
File 1.1 = KBFILTR.SYS

[Group 1]
Item 1 = <DefDir>\SwiftBtn.EXE, Swift-Button
Item 2 = <DefDir>\SwiftBtn.EXE /KbProperty, Configuration
Item 3 = <DefDir>\SwiftBtn.EXE /KbScreenDisplay, OnScreen Display

[Write INI 1]
Item 1 = System, Product Name, Swift-Button
Item 2 = System, Reboot System, 1
Item 3 = System, Check Administrator, 1
Item 4 = Group By Shortcut, Group 1, Swift-Button
Item 5 = UnRegister, Key 1, HKEY_LOCAL_MACHINE
Item 6 = UnRegister, SubKey 1, SOFTWARE\Microsoft\Windows\CurrentVersion\Run
Item 7 = UnRegister, Key Class 1, NULL
Item 8 = UnRegister, Name 1.1, QT4StBtn
Item 9 = UnRegisterTree, Key 1, HKEY_CLASSES_ROOT
Item 10 = UnRegisterTree, SubKey 1, CLSID\{60CFC340-E299-11D5-B05A-0050BA17C30D}
Item 11 = UnRegisterTree, Key 2, HKEY_LOCAL_MACHINE
Item 12 = UnRegisterTree, SubKey 2, SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Keyboard\shellex\PropertySheetHandlers\Swift-Button
Item 13 = UnRegisterTree, Key 3, HKEY_CLASSES_ROOT
Item 14 = UnRegisterTree, SubKey 3, CLSID\{60CFC341-E299-11D5-B05A-0050BA17C30D}
Item 15 = UnRegisterTree, Key 4, HKEY_LOCAL_MACHINE
Item 16 = UnRegisterTree, SubKey 4, SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Keyboard\shellex\PropertySheetHandlers\Swift-Button OSD
Item 17 = UnRegisterTree, Key 5, HKEY_LOCAL_MACHINE
Item 18 = UnRegisterTree, SubKey 5, Software\Quanta\EF3
Item 19 = UnRegisterTree, Key 6, HKEY_CURRENT_USER
Item 20 = UnRegisterTree, SubKey 6, Software\Quanta\EF3
Item 21 = UnRegisterDevice, Class Name, Keyboard
Item 22 = UnRegisterDevice, Device Name, Swift-Button ( Win2000 )
Item 23 = UnRegisterDevice, Filter Name, KBFiltr
Item 24 = Execute File, File 1, SwiftBtn.EXE Destroy
Item 25 = Delete File, File 1, QT4StBtn.UNI :@
Item 26 = Delete File, File 2, System32\Drivers\KBFiltr.SYS :@
Item 27 = Uninstall, Key, HKEY_LOCAL_MACHINE
Item 28 = Uninstall, SubKey, QT4StBtn
Item 29 = RemoveDevice Execute File, File, RmDevice.EXE Keyboard "Swift-Button ( Win2000 )"

[Write INI 2]
Install Path = System, Path
Item 1 = System, UnInstall Info File, UnInst32.INI

[Register]
Key 1 = HKEY_LOCAL_MACHINE
SubKey 1 = SOFTWARE\Microsoft\Windows\CurrentVersion\Run
Name 1.1 = QT4StBtn
Data 1.1 = <DefDir>\SwiftBtn.EXE

Key 2 = HKEY_CLASSES_ROOT
SubKey 2 = CLSID\{60CFC340-E299-11D5-B05A-0050BA17C30D}\InProcServer32
Name 2.1 = NULL
Data 2.1 = <DefDir>\StBTNCPL.DLL
Name 2.2 = ThreadingModel
Data 2.2 = Apartment

Key 3 = HKEY_LOCAL_MACHINE
SubKey 3 = SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Keyboard\shellex\PropertySheetHandlers\Swift-Button
Name 3.1 = NULL
Data 3.1 = {60CFC340-E299-11D5-B05A-0050BA17C30D}
		
Key 4 = HKEY_CLASSES_ROOT
SubKey 4 = CLSID\{60CFC341-E299-11D5-B05A-0050BA17C30D}\InProcServer32
Name 4.1 = NULL
Data 4.1 = <DefDir>\StOSDCPL.DLL
Name 4.2 = ThreadingModel
Data 4.2 = Apartment

Key 5 = HKEY_LOCAL_MACHINE
SubKey 5 = SOFTWARE\Microsoft\Windows\CurrentVersion\Controls Folder\Keyboard\shellex\PropertySheetHandlers\Swift-Button OSD
Name 5.1 = NULL
Data 5.1 = {60CFC341-E299-11D5-B05A-0050BA17C30D}

; OSDUtl.DLL
Key 6 = HKEY_LOCAL_MACHINE
SubKey 6 = Software\Quanta\EF3\Onscreen
Name 6.1 = Color
Data 6.1 = ff00
Name 6.2 = Position
Data 6.2 = 9
Name 6.3 = Display Seconds
Data 6.3 = 1
Name 6.4 = Size
Data 6.4 = 2
Name 6.5 = Font
Data 6.5 = FFFFFFBC,0,0,0,2BC,0,0,0,0,3,2,1,22,Arial
Name 6.6 = Normal String Length
Data 6.6 = 18
Name 6.7 = RC Path
Data 6.7 = OSDRC
Name 6.8 = Transparent
Data 6.8 = 1
Name 6.9 = Support SwiftButtonsOSD
Data 6.9 = 1
Name 6.10 = SwiftButtonsOSD
Data 6.10 = 1
Name 6.11 = Support VolumeOSD
Data 6.11 = 1
Name 6.12 = VolumeOSD
Data 6.12 = 1
Name 6.13 = Support MultiMediaOSD
Data 6.13 = 0
Name 6.14 = MultiMediaOSD
Data 6.14 = 1

Key 7 = HKEY_LOCAL_MACHINE
SubKey 7 = Software\Quanta\EF3\Onscreen\Predefined\Play/Pause
Name 7.1 = ID
Data 7.1 = 102
Name 7.2 = Bitmap
Data 7.2 = PlayPaus.BMP

Key 8 = HKEY_LOCAL_MACHINE
SubKey 8 = Software\Quanta\EF3\Onscreen\Predefined\Previous Track
Name 8.1 = ID
Data 8.1 = 106
Name 8.2 = Bitmap
Data 8.2 = Previous.BMP

Key 9 = HKEY_LOCAL_MACHINE
SubKey 9 = Software\Quanta\EF3\Onscreen\Predefined\Next Track
Name 9.1 = ID
Data 9.1 = 107
Name 9.2 = Bitmap
Data 9.2 = Next.BMP

Key 10 = HKEY_LOCAL_MACHINE
SubKey 10 = Software\Quanta\EF3\Onscreen\Predefined\Stop
Name 10.1 = ID
Data 10.1 = 103
Name 10.2 = Bitmap
Data 10.2 = Stop.BMP

Key 11 = HKEY_LOCAL_MACHINE
SubKey 11 = Software\Quanta\EF3\Onscreen\Predefined\Mute
Name 11.1 = ID
Data 11.1 = 1
Name 11.2 = Bitmap
Data 11.2 = Mute.BMP
Name 11.3 = Position
Data 11.3 = 3

Key 12 = HKEY_LOCAL_MACHINE
SubKey 12 = Software\Quanta\EF3\Onscreen\Predefined\UnMute
Name 12.1 = ID
Data 12.1 = 2
Name 12.2 = Bitmap
Data 12.2 = UnMute.BMP
Name 12.3 = Position
Data 12.3 = 3

Key 13 = HKEY_LOCAL_MACHINE
SubKey 13 = Software\Quanta\EF3\Onscreen\Predefined\Volume
Name 13.1 = Volume ID
Data 13.1 = 3
Name 13.2 = Text
Data 13.2 = 
Name 13.3 = Max Volume Bar Level
Data 13.3 = 10

Key 14 = HKEY_LOCAL_MACHINE
SubKey 14 = Software\Quanta\EF3\Onscreen\Predefined\NO CD
Name 14.1 = ID
Data 14.1 = 300
Name 14.2 = Text
Data 14.2 = ûй

Key 15 = HKEY_LOCAL_MACHINE
SubKey 15 = Software\Quanta\EF3\Onscreen\Predefined\Video CD
Name 15.1 = ID
Data 15.1 = 304
Name 15.2 = Text
Data 15.2 = Ƶ

Key 16 = HKEY_LOCAL_MACHINE
SubKey 16 = Software\Quanta\EF3\Onscreen\Predefined\Audio CD
Name 16.1 = ID
Data 16.1 = 302
Name 16.2 = Text
Data 16.2 = ֹ

Key 17 = HKEY_LOCAL_MACHINE
SubKey 17 = Software\Quanta\EF3\Onscreen\Predefined\DVD
Name 17.1 = ID
Data 17.1 = 306
Name 17.2 = Text
Data 17.2 = DVD

Key 18 = HKEY_LOCAL_MACHINE
SubKey 18 = Software\Quanta\EF3\Onscreen\Predefined\Data CD
Name 18.1 = ID
Data 18.1 = 301
Name 18.2 = Text
Data 18.2 = ݹ

Key 19 = HKEY_LOCAL_MACHINE
SubKey 19 = Software\Quanta\EF3\Settings
Name 19.1 = Layout Bitmap
Data 19.1 =
Name 19.2 = Layout Bitmap Transparent Color
Data 19.2 = 
Name 19.3 = Help File
Data 19.3 = 
Name 19.4 = RC Path
Data 19.4 = BtnRC
Name 19.5 = Support Buttons Count
Data 19.5 = 4
Name 19.6 = Show Volume OSD By Key Pressed
Data 19.6 = 0

Key 20 = HKEY_LOCAL_MACHINE
SubKey 20 = Software\Quanta\EF3\Settings\Buttons\Button1
Name 20.1 = Label
Data 20.1 = Notepad
Name 20.2 = Command
Data 20.2 = NOTEPAD.EXE
Name 20.3 = Command Type
Data 20.3 = 3
Name 20.4 = SubCommand Type
Data 20.4 = 1
Name 20.5 = Description
Data 20.5 = Notepad
Name 20.6 = Icon File
Data 20.6 = BtnIcon1.BMP
Name 20.7 = Icon Transparent Color
Data 20.7 = FF
Name 20.8 = Remote Code
Data 20.8 = 0

Key 21 = HKEY_LOCAL_MACHINE
SubKey 21 = Software\Quanta\EF3\Settings\Buttons\Button2
Name 21.1 = Label
Data 21.1 = Calculator
Name 21.2 = Command
Data 21.2 = Calc.exe
Name 21.3 = Command Type
Data 21.3 = 3
Name 21.4 = SubCommand Type
Data 21.4 = 1
Name 21.5 = Description
Data 21.5 = Calculator
Name 21.6 = Icon File
Data 21.6 = BtnIcon2.BMP
Name 21.7 = Icon Transparent Color
Data 21.7 = FF
Name 21.8 = Remote Code
Data 21.8 = 0

Key 22 = HKEY_LOCAL_MACHINE
SubKey 22 = Software\Quanta\EF3\Settings\Buttons\Button3
Name 22.1 = Label
Data 22.1 = Windows Explorer
Name 22.2 = Command
Data 22.2 = 
Name 22.3 = Command Type
Data 22.3 = 3
Name 22.4 = SubCommand Type
Data 22.4 = 3
Name 22.5 = Description
Data 22.5 = Windows Explorer
Name 22.6 = Icon File
Data 22.6 = BtnIcon3.BMP
Name 22.7 = Icon Transparent Color
Data 22.7 = FF
Name 22.8 = Remote Code
Data 22.8 = 706

Key 23 = HKEY_LOCAL_MACHINE
SubKey 23 = Software\Quanta\EF3\Settings\Buttons\Button4
Name 23.1 = Label
Data 23.1 = Email
Name 23.2 = Command
Data 23.2 = 
Name 23.3 = Command Type
Data 23.3 = 3
Name 23.4 = SubCommand Type
Data 23.4 = 3
Name 23.5 = Description
Data 23.5 = Email
Name 23.6 = Icon File
Data 23.6 = BtnIcon4.BMP
Name 23.7 = Icon Transparent Color
Data 23.7 = FF
Name 23.8 = Remote Code
Data 23.8 = 141

Key 24 = HKEY_LOCAL_MACHINE
SubKey 24 = Software\Quanta\EF3\Settings\Buttons\Button5
Name 24.1 = Label
Data 24.1 = 
Name 24.2 = Command
Data 24.2 = 
Name 24.3 = Command Type
Data 24.3 = 3
Name 24.4 = SubCommand Type
Data 24.4 = 1
Name 24.5 = Description
Data 24.5 = 
Name 24.6 = Icon File
Data 24.6 =
Name 24.7 = Icon Transparent Color
Data 24.7 = FF
Name 24.8 = Remote Code
Data 24.8 = 0

Key 25 = HKEY_LOCAL_MACHINE
SubKey 25 = Software\Quanta\EF3\Settings\TaskBar Icon
Name 25.1 = Icon Enabled
Data 25.1 = 0
Name 25.2 = Support Help MenuItem
Data 25.2 = 0

Key 26 = HKEY_LOCAL_MACHINE
SubKey 26 = Software\Quanta\EF3\Settings\About
Name 26.1 = Description
Data 26.1 = Swift-Button     汾 1.41

Key 27 = HKEY_LOCAL_MACHINE
SubKey 27 = SYSTEM\CurrentControlSet\Services\KBFiltr
Name 27.1 = DisplayName
Data 27.1 = Dritek HotKey Keyboard Filter Driver
Name 27.2 = Group
Data 27.2 = Keyboard Port
Name 27.3 = ImagePath
Data 27.3 = System32\Drivers\KBFiltr.sys
Name 27.4 = Start
Data 27.4 = 3
DataType 27.4 = REG_DWORD
Name 27.5 = Tag
Data 27.5 = 5
DataType 27.5 = REG_DWORD
Name 27.6 = Type
Data 27.6 = 1
DataType 27.6 = REG_DWORD
Name 27.7 = ErrorControl
Data 27.7 = 0
DataType 27.7 = REG_DWORD

[UnInstall]
Key = HKEY_LOCAL_MACHINE
SubKey = QT4StBtn
DisplayName = Swift-Button
UninstallString = <Windows>\UnInst32.exe QT4StBtn.UNI

[INF File]
INF File = StBtnXP.INF
Catalog File = StBtnXP.CAT
